//  ANO PO "KSI", 2016

#ifndef CHECKDBRESULT_H
#define CHECKDBRESULT_H

#include "qtcommon.h"
#include "HashTools.h"
#include "DBHashWidget.h"
#include "CheckErrTable.h"

class CheckDBResult : public QDialog
{
	Q_OBJECT
	
private:
	DBHashWidget* m_pDBHashWidget;
	//QTextEdit* m_pTextErrors;
	CheckErrTable* m_pErrTable;
	QPushButton* m_pButtonCopy;
	QLabel* m_pLabelReport;
public:
	CheckDBResult(const QString& filename, const QString& hash, const CompareErrList& errList, QWidget *parent=nullptr);
	~CheckDBResult();
public:
	void setCompareErrList(const CompareErrList& errList);
private:
	void createControls();
private slots:
	void copyToClipboard();
};

#endif // CHECKDBRESULT_H
