//  ANO PO "KSI", 2016

#include "MainWindow.h"

#include <QApplication>
#include <QTranslator>

#include "HashTools.h"

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);

	QLocale::setDefault(QLocale::C);

	QTranslator translator;
	translator.load(QString("ksihashcheck_") + QLocale::system().name());
	a.installTranslator(&translator);

	QTranslator qtBaseTranslator;
	qtBaseTranslator.load(QString("qtbase_") + QLocale::system().name());
	a.installTranslator(&qtBaseTranslator);

	MainWindow w;
	w.show();
	return a.exec();
}
