// © ANO PO "KSI", 2016

#ifndef DBPARAMWINDOW_H
#define DBPARAMWINDOW_H

#include "qtcommon.h"

#include "ChooseDirWidget.h"

class DBParamWindow : public QDialog
{
	Q_OBJECT

	QSettings* m_pSettings;
	//bool m_onlyExists;
protected:
	ChooseDirWidget* m_dirWidget, *m_dbfileWidget;
public:
	DBParamWindow(QWidget *parent = nullptr);
	~DBParamWindow();
public:
	QString dir() const { return m_dirWidget->value(); }
	QString dbfile() const { return m_dbfileWidget->value(); }
	void setSettings(QSettings* pSettings) { m_pSettings = pSettings;  }
	inline QSettings* settings() const { return m_pSettings; }
	

public slots:
	virtual void accept() override;
	virtual void reject() override;
	virtual int exec() override;
};

#endif // DBPARAMWINDOW_H
